
QGIS Application - Bug report #13640

ssl error on starting QGIS on Debian testing

2015-10-20 03:50 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21676

Description

When I start QGIS (even with 'qgis --configpath /tmp/foo'), get the attached SSL window problem.

This dialog is the same one as we had when we had this newsfeed in the project page, but now I get the same window complaining about

(my?) ssl cert for https://qgis.org/version.txt

Not sure it is only me??

Associated revisions

Revision 08ec25be - 2015-11-16 05:16 PM - Jürgen Fischer

[auth] fix detection of root CAs on Linux (fixes #13640)

Revision 92ce3572 - 2015-11-16 06:12 PM - Jürgen Fischer

[auth] fix detection of root CAs on Linux (fixes #13640)

(cherry picked from commit 08ec25b and a6a2982)

History

#1 - 2015-11-02 02:25 AM - Tobias Megies

- File 44.png added

Getting a similar error box.

QGIS 2.12 installed via debian packages (deb http://qgis.org/debian jessie main), "Version: 1:2.12.0+13jessie"

#2 - 2015-11-06 01:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Build/Install

Still true?
#3 - 2015-11-06 02:24 AM - Richard Duivenvoorde

yes, probably I can hide it by 'saving this exception', but I think that is wrong

#4 - 2015-11-06 02:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2015-11-13 07:24 PM - Tim Cera

Same warning for me with Debian install of 12.2.

The https://qgis.org/version.txt page is also out of date, and has HTML content, but displayed as text.

#6 - 2015-11-16 07:41 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#7 - 2015-11-16 08:16 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"08ec25bedde5d35ffe050d419cee4fcdae734683".
